## libbass 2.4.18

=== debian/changelog ===
libbass (2.4.18-0ddebs2~ubuntu22.04) jammy; urgency=medium

  * use of dh-exec to reduce complexity of debian/ files

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 27 Nov 2025 01:09:20 +0100

libbass (2.4.18-0ddebs1) unstable; urgency=medium

  * upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 24 Nov 2025 23:41:30 +0100

libbass (2.4.17-0ddebs3) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 09 Mar 2024 02:56:48 +0100

libbass (2.4.17-0ddebs2) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 23 Apr 2023 17:46:07 +0200

libbass (2.4.17-0ddebs1) unstable; urgency=medium

  * upstream update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 14 Apr 2023 10:29:33 +0200

libbass (2.4.16-0ddebs2) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file
  * avoid use of dh_dwz when compile on buster

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 02 Apr 2022 11:29:34 +0200

libbass (2.4.16-0ddebs1) unstable; urgency=medium

  * added bass.txt doc
  * upstream update
    2.4.16 - 24/6/2021
    ------------------
    * DirectSound output mix is now generated by BASS (as with WASAPI output and
      on other platforms), losing support for DirectSound-specific features but
      gaining support for all BASS features
        BASS_DEVICE_DSOUND (BASS_Init flag)
    * Length trimming
        BASS_POS_END (BASS_ChannelSetPosition mode)
        BASS_SYNC_END (BASS_ChannelSetSync type)
        CUSTLOOP example updated
    * Custom loop start positions
        BASS_POS_LOOP (BASS_ChannelSetPosition mode)
        CUSTLOOP example updated
    * Length extending
        BASS_ATTRIB_TAIL
        BASS_SYNC_END (BASS_ChannelSetSync type)
    * Device reinitialization while retaining BASS channels and 3D settings
        BASS_DEVICE_REINIT (BASS_Init flag)
    * Retrieval of a device's activity status
        BASS_IsStarted
    * BASS_DEVICE_3D flag is no longer needed to enable 3D support
        BASS_Init
    * The "Default" device is now enabled by default on Windows and macOS
        BASS_CONFIG_DEV_DEFAULT (BASS_SetConfig option)
    * Default communications device indicator on Windows
        BASS_DEVICE_DEFAULTCOM (BASS_DEVICEINFO flag)
    * Sample channel "newonly" option changed to a flag
        BASS_SAMCHAN_NEW (BASS_SampleGetChannel flag)
    * Sample playback streams
        BASS_SAMCHAN_STREAM (BASS_SampleGetChannel flag)
        BASS_CTYPE_STREAM_SAMPLE
    * Speaker assignment support for samples
        BASS_SampleGetChannel
        BASS_ChannelFlags
    * Overriding of default flags during sample channel creation
        BASS_SampleGetChannel
    * Same sample channel handle when max=1 is now optional
        BASS_CONFIG_SAMPLE_ONEHANDLE (BASS_SetConfig option)
    * 3D max distance muting can now be toggled
        BASS_SAMPLE_MUTEMAX (BASS_ChannelFlags flag)
    * Plugin disabling without affecting existing streams
        BASS_PluginEnable
    * WASAPI recording on Windows (DirectSound is fallback/optional)
        BASS_CONFIG_REC_WASAPI (BASS_SetConfig option)
        BASS_RecordInit
    * Minimum recording buffer reduced to 10ms
        BASS_CONFIG_REC_BUFFER (BASS_SetConfig option)
    * Recording data/level retrieval without removing from buffer when not using
     a RECORDPROC
        BASS_DATA_NOREMOVE (BASS_ChannelGetData flag)
        BASS_LEVEL_NOREMOVE (BASS_ChannelGetLevelEx flag)
    * Support for level measurements longer than 1s from decoding channels
        BASS_ChannelGetLevelEx
    * Configurable restricted download rate
        BASS_CONFIG_NET_RESTRATE (BASS_SetConfig option)
    * Thread-specific internet stream timeout options
        BASS_CONFIG_THREAD (BASS_SetConfig option)
        BASS_CONFIG_NET_TIMEOUT (BASS_SetConfig option)
        BASS_CONFIG_NET_READTIMEOUT (BASS_SetConfig option)
        BASS_StreamCreateURL
    * Configured "User-Agent" header can be overridden in custom request headers
        BASS_StreamCreateURL
    * Multiple IPs will be tried when available on Linux/Android (already on
    other platforms)
        BASS_StreamCreateURL
    * BASS_STREAM_BLOCK applied automatically on files larger than 2GB
        BASS_StreamCreateURL/FileUser
    * Redirected URL retrieval
        BASS_TAG_LOCATION (BASS_ChannelGetTags type)
    * Shoutcast metadata is now optional
        BASS_CONFIG_NET_META (BASS_SetConfig option)
        BASS_TAG_META (BASS_ChannelGetTags type)
    * Support for a 2nd ID3v2 tag block
        BASS_TAG_ID3V2_2 (BASS_ChannelGetTags type)
    * OpenMPT channel name retrieval
        BASS_TAG_MUSIC_CHAN (BASS_ChannelGetTags type)
    * Delayed OGG file scanning when prescanning is disabled/impossible
        BASS_ChannelGetLength
        BASS_ChannelSetPosition
        BASS_CONFIG_OGG_PRESCAN (BASS_SetConfig option)
    * Faster seeking in large OGG files
        BASS_ChannelSetPosition
    * Unified freeing function for all channel types
        BASS_ChannelFree
    * User-defined attribute
        BASS_ATTRIB_USER (BASS_ChannelSetAttributeEx option)
    * Push stream buffer size limiting
        BASS_ATTRIB_PUSH_LIMIT (BASS_ChannelSetAttribute option)
    * Retrieval of a stream's available file data amount
        BASS_FILEPOS_AVAILABLE (BASS_StreamGetFilePosition mode)
    * Error code for unsupported URL protocols
        BASS_ERROR_PROTOCOL (BASS_StreamCreateURL error code)
    * BASS_ERROR_ALREADY error changed to success in some functions
        BASS_ChannelPause
        BASS_ChannelSetDevice
        BASS_ChannelSetLink
    * Support for custom file streaming with Android Media codecs
        BASS_StreamCreateFileUser
    * Switch to using native APIs for Android Media codecs (Android 5 or above
     required now)

