=== debian/control ===
Source: libbass
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec (>=0.3),
 rename
Standards-Version: 4.6.2
Section: libs
Homepage: https://www.un4seen.com/
Rules-Requires-Root: no

Package: libbass
Architecture: i386 amd64 armhf arm64
Multi-Arch: same
Depends:
 ${misc:Depends},
 libbass2
Description: Transitional package
 Transitional package to libbass2. It can be safely removed.

Package: libbass2
Architecture: i386 amd64 armhf arm64
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Audio library
 Audio library for use in software on several platforms. Its purpose is to
 provide developers with powerful and efficient sample, stream (MP3, MP2,
 MP1, OGG, WAV, AIFF, custom generated, and more via OS codecs and add-ons),
 MOD music (XM, IT, S3M, MOD, MTM, UMX), MO3 music (MP3/OGG compressed MODs),
 and recording functions. All in a compact DLL that won't bloat your
 distribution.

Package: libbass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbass2(= ${binary:Version}),
 ${misc:Depends}
Description: Development file for this audio library
 This audio library is for use in software on several platforms. Its purpose is
 to provide developers with powerful and efficient sample, stream (MP3, MP2,
 MP1, OGG, WAV, AIFF, custom generated, and more via OS codecs and add-ons),
 MOD music (XM, IT, S3M, MOD, MTM, UMX), MO3 music (MP3/OGG compressed MODs),
 and recording functions. All in a compact DLL that won't bloat your
 distribution.
