=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export BASSVERSION := $(shell dpkg-parsechangelog -S Version | cut -d- -f1)

%:
	dh $@

override_dh_strip:
